# Controllo Tramoggia
execute as @e[tag=dh.t_tramoggia14,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_oggettoInCalderone
execute as @e[tag=dh.t_tramoggia14,type=hopper_minecart,nbt={Items:[{Slot:0b,id:"minecraft:soul_lantern",tag:{display:{Name:'{"text":"Fuoco Fatuo","color":"red","italic":false}'}}}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_reliquiaInCalderone
execute as @e[tag=dh.t_tramoggia14,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge entity @s {Items:[{}]}

# Effetti Calderone
execute if entity @s[tag=dh.t_oggettoInCalderone] run particle minecraft:witch 492 31 163 0.2 0.5 0.2 0.01 100
execute if entity @s[tag=dh.t_oggettoInCalderone] run playsound entity.ender_eye.death ambient @a 492 29 163 2 1
execute if entity @s[tag=dh.t_oggettoInCalderone] run setblock 492 29 163 minecraft:cauldron
execute if entity @s[tag=dh.t_oggettoInCalderone] run summon minecraft:area_effect_cloud 511 48 143 {Particle:"minecraft:ambient_entity_effect",Duration:92,Tags:["dh.t_calderone14"]}
execute if entity @s[tag=dh.t_oggettoInCalderone] run tag @s remove dh.t_oggettoInCalderone

execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:1}] run kill @e[tag=dh.t_tramoggia14,type=hopper_minecart]
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:10}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s Stiamo controllando l'oggetto. Ti preghiamo di aspettare qualche secondo.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:10}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2



# Discorso Oggetto Qualsiasi
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=!dh.t_reliquiaInCalderone] run tellraw @a[tag=dh.t_giocatori] {"translate":"%s Questo oggetto non è una Reliquia, ormai però è andato perso. Getta nel calderone solo la Reliquia.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=!dh.t_reliquiaInCalderone] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2

# Riattivazione Calderone
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=!dh.t_reliquiaInCalderone] run setblock 492 29 163 minecraft:cauldron[level=1]
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:85}] if entity @s[tag=!dh.t_reliquiaInCalderone] run setblock 492 29 163 minecraft:cauldron[level=2]
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=!dh.t_reliquiaInCalderone] run setblock 492 29 163 minecraft:cauldron[level=3]
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=!dh.t_reliquiaInCalderone] run summon minecraft:hopper_minecart 492 28 163 {Invulnerable:1b,Tags:["dh.t_carrello14","dh.t_entitaUtile1"]}
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:91}] if entity @s[tag=!dh.t_reliquiaInCalderone] run tag @e[tag=dh.t_carrello14,type=hopper_minecart] add dh.t_tramoggia14



# Discorso Reliquia
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=dh.t_unGiocatore,tag=dh.t_reliquiaInCalderone] run tellraw @a[tag=dh.t_giocatori] {"translate":"%s Complimenti, hai trovato la quattordicesima Reliquia.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=dh.t_dueGiocatori,tag=dh.t_reliquiaInCalderone] run tellraw @a[tag=dh.t_giocatori] {"translate":"%s Complimenti, avete trovato la quattordicesima Reliquia.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:80}] if entity @s[tag=dh.t_reliquiaInCalderone] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=dh.t_reliquiaInCalderone] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:reliquie/p_reliquia_14
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=dh.t_reliquiaInCalderone] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=dh.t_reliquiaInCalderone] run scoreboard players set #Reliquia14 dh.o_reliquie 1
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:90}] if entity @s[tag=dh.t_reliquiaInCalderone] run scoreboard players add @s dh.o_reliquie 1
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:91}] if entity @s[tag=dh.t_reliquiaInCalderone] run tag @s remove dh.t_reliquiaInCalderone

# Disattiva CB Reliquia
execute if entity @e[tag=dh.t_calderone14,type=area_effect_cloud,nbt={Age:91}] run data merge block 518 48 140 {auto:0b}